%global         pypi_name    sherpa

Name:           python-sherpa
Version:        4.8.2
Release:        %mkrel 2
Group:          Sciences/Astronomy
Summary:        Sherpa is a modeling and fitting application
License:        AFL
URL:            http://cxc.cfa.harvard.edu/sherpa/
Source0:        http://cxc.cfa.harvard.edu/contrib/sherpa/%{pypi_name}-%{version}.tar.gz
Patch0:         sherpa-4.8.2-format.patch
Patch1:         sherpa-4.8.2-setup.patch
Patch2:         sherpa-4.8.2-arm.patch

BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  python-devel
BuildRequires:  cfitsio-devel
BuildRequires:  fftw-devel
BuildRequires:  gcc-gfortran
BuildRequires:  gcc-c++
BuildRequires:  wcslib-devel
BuildRequires:  python-numpy-devel
BuildRequires:  python-numpy-f2py

%description 
Sherpa is the CIAO modeling and fitting application. It enables the
user to construct complex models from simple definitions and fit those
models to data, using a variety of statistics and optimization method


%package -n python3-sherpa
Summary:        Python3 implementation of Sherpa
Group:          Development/Python
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  pkgconfig(python3)
BuildRequires:  cfitsio-devel
BuildRequires:  fftw-devel
BuildRequires:  gcc-gfortran
BuildRequires:  gcc-c++
BuildRequires:  wcslib-devel
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-numpy-f2py


%description -n python3-sherpa
%{summary}.



%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p1 -b .orig
%patch1 -p1 -b .orig
%__sed -i "s|libARCH|%{_lib}|g" setup.cfg
%patch2 -p1 -b .orig

%build
%py2_build
%py3_build


%install
%py2_install
%py3_install

%__rm %{buildroot}%{_bindir}/sherpa_*

%files
%doc LICENSE RELEASE_NOTES CONTRIBUTING.md COPYRIGHT CITATION
%{python2_sitearch}/*.so
%{python2_sitearch}/%{pypi_name}
%{python2_sitearch}/%{pypi_name}-%{version}-*.egg-info


%files -n python3-sherpa
%doc LICENSE RELEASE_NOTES CONTRIBUTING.md COPYRIGHT CITATION
%{python3_sitearch}/*.so
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-*.egg-info


%changelog
* Fri Dec 16 2016 eatdirt <eatdirt> 4.8.2-2.mga6
+ Revision: 1075685
- Tentative fix arm build (restoring cephes patch)

* Fri Dec 16 2016 eatdirt <eatdirt> 4.8.2-1.mga6
+ Revision: 1075671
- Upgrade to version 4.8.2

* Sun Jul 31 2016 pterjan <pterjan> 4.5.1-10.mga6
+ Revision: 1044131
- Commit the right patch...
- Try to fix build on arm, no idea how it builds elsewhere

* Sat Feb 20 2016 umeabot <umeabot> 4.5.1-9.mga6
+ Revision: 972174
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 4.5.1-8.mga6
+ Revision: 896240
- BR python-numpy-f2py

* Wed Oct 15 2014 umeabot <umeabot> 4.5.1-7.mga5
+ Revision: 748975
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.5.1-6.mga5
+ Revision: 729761
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.5.1-5.mga5
+ Revision: 688330
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 4.5.1-3.mga4
+ Revision: 544249
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.5.1-2.mga4
+ Revision: 499372
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 04 2013 joequant <joequant> 4.5.1-1.mga4
+ Revision: 463098
- add numpy devel
- imported package python-sherpa

